Search

Atalasoft Knowledge Base

FAQ: What Environments are Supported by DotImage?

Administrator
DotImage

DotImage follows our parent company's official policy: we support Operating systems that are under current support from the vendor

As of 11.4.0.14 (December Mar 2024) Atalasoft is officially tested and supported on the following OSes:

DESKTOP OS

  • Windows 10
  • Windows 11

SERVER OS

  • Windows Server 2016
  • Windows Server 2019
  • Windows Server 2022

Note: Windows 8.1 and older (desktop) and Server 2012-R2 and older are no longer officially supported. This is not to say you may not find that some older OSes won't work, only that issues caused by out of support OSes will not be supported or considered for bug fixes. Issues reported in older OSes that repro in currently supported OSes will be supported in the supported OSes

DotImage supports the following .NET Framework versions:

  • 1.1 in DotImage 6.0 and lower
  • 2.0 in DotImage 3.0 through 10.3
  • 3.0 in DotImage 6.0 through 10.7
  • 3.5 in DotImage 6.0 through current version
  • 4.0 (and newer : 4.5, 4.5.1, 4.5.2, 4.6, 4.7) in DotImage 9.0 through 10.7   note 4.0, 4.5 and 4.5.1 are NOT supported in 11.0 and newer
  • 4.5.2 and newer DotImage 9.0 and up..

DotImage supports the Following .NET (formerly called .NET core) versions:

  • .NET 5 and up  - Supported in DotImage 11.3 and up with our 5.0 dlls (Windows only)

.NET Standard 2.0 and .NET Core 3.1 are not supported​ - please see FAQ: Support for ASP.NET Core / .NET Core / .NET 5 / .NET 6 /.NET 7 / .NET 8 for more

Our ASP.NET web viewing controls are officially tested and supported in the following browsers:

  • Microsoft Edge (Chromium Based, Current Version only) - Windows Desktop
  • FireFox (current version) - Windows Desktop
  • Google Chrome (current version)​ - Windows Desktop and Android
  • Safari on MacOS and iOS

Our WingScan web scanning is supported in the following browsers:

  • Microsoft Edge (Chromium Based, Current Version only) - Windows Desktop
  • FireFox (current version) - Windows Desktop
  • Google Chrome (current version)​ - Windows Desktop
  • Safari (Current version) on MacOS 10.15 (Catalina) and up (desktop only) - INTEL ONLY (Apple Silicon Support Expected in 11.5)

DotImage development is supported in :

  • Visual Studio 2012 (DotImage 10.0 through 11.1)
  • Visual Studio 2013 (DotImage 10.7 and up)
  • Visual Studio 2015 (DotImage 10.7 and up)
  • Visual Studio 2017 (DotImage 10.7 and up)

* note that DotImage 11.0 does not support .NET 4.0, 4.5, or 4.5.1 so you must use at least VS 2012 and target .NET 4.5.2 or target .NET 3.5 with supported version of VS to use 11.0

NOTE: While we list some older versions here and will make "best attempt" to support any version you have if you have current maintenance, there are situations where a given version or feature is not supportable. Whether that be due to changes in supported/ supportable OSes making it impossible, or simply that we do not have the ability to maintain viable test environments capable of running such out of date setups. Regardless, official policy is that we can not back port fixes. Any issue where a bug is found in any version, it must be reproducible in the current version and any fix will be provided as a fix pack to the current version or the next official release and will not be back ported to older versions. Meaning that you will need to upgrade to the version with the fix. We strongly encourage customers to try and keep relatively recent. Finding that you need to move up a fixpack or two on short notice in order to address a bug is far preferable to finding you need to wade through 8 years of changes to apply a fix for an issue... the choice is yours of course. However, it is increasingly difficult to support versions older than 10.7. It is nearly impossible for us to provide meaningful support for versions older than 10.3 which is now a decade out of date.

ALSO NOTE: Support does have some legacy copies of older demos from 10.7, but current (as of 2023) demos are in VS2012 (soon to move to 2013) for desktop and 2013 for web apps as the minimum supported. We reserve the right to stop providing sample apps for outdated versions as resources allow.

Original Article:
Q10289 - FAQ: What Environments are Supported by DotImage?

Details
Last Modified: 3 Months Ago
Last Modified By: Tananda
Type: FAQ
Rated 5 stars based on 1 vote
Article has been viewed 1.4K times.
Options
Also In This Category